【改名】ストックドッグ

金融系の会社で働くSEが株やPython、その他諸々について書いています。システムトレードもやってるよ!

MeCabをPython 3.4.5にインストール in Ubuntu 16.0.4

MeCabのインストールってコケがちらしいです

たしかに、ちょっとコケた

condaでpythonのバージョンを変えながら、試してると3.4.5で成功。

インストール手順

mecabをインストール。
ついでに辞書も。

#mecabをインストール
$ sudo apt-get install mecab

#辞書もインストール
#mecab-naist-jdicという辞書もある
$ sudo apt-get install mecab-ipadic


この時点でMeCabは使用可能。

#mecabというコマンドの後に適当に文章を打つ
$ mecab
私はストックドッグというブログをやっています。

この状態では、文字化けしているはず。

UTF-8に変換することで解消。

apt-get install mecab-ipadic-utf8


python3に対応させるためのツールをインストール。

sudo apt-get install libmecab-dev
sudo apt-get install python3-setuptools


いよいよ、pythonライブラリをインストール。
の前にpipをアップデートしておく。

pip install --upgrade pip

なぜなら、これしないとこんな警告がでる。

You are using pip version 8.1.1, however version 9.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.


この後にpythonライブラリをインストール。

pip install mecab-python3

まとめ

同じ手順でdocker上のubuntuに入れようとしたら、エラーが出ました。

適当に何回かやったら上手くインストールできました。

ほんとよくわからんかったです。